{
    "type": "project",
    "name": "bothelp/php-skeleton",
    "homepage": "https://gitlab.com/bothelp/php-skeleton",
    "description": "Awesome Skeleton for modern development on PHP 8.0+",
    "license": "MIT",
    "keywords": [
        "fenric",
        "bothelp",
        "skeleton"
    ],
    "require": {
        "php": "^8.0",
        "php-di/php-di": "^6.3",
        "monolog/monolog": "^2.4",
        "doctrine/orm": "^2.11",
        "doctrine/migrations": "^3.4",
        "sunrise/doctrine-bridge": "^2.4",
        "sunrise/http-client-curl": "^1.4",
        "sunrise/http-factory": "^2.0",
        "sunrise/http-header-kit": "^2.0",
        "sunrise/http-router": "^2.13",
        "sunrise/http-router-openapi": "^2.2",
        "sunrise/hydrator": "^2.2",
        "symfony/cache": "^6.0",
        "symfony/console": "^6.0",
        "symfony/dotenv": "^6.0",
        "symfony/event-dispatcher": "^6.0",
        "symfony/validator": "^6.0",
        "ramsey/uuid": "^4.2",
        "justinrainbow/json-schema": "^5.2",
        "spiral/roadrunner": "^2.5"
    },
    "require-dev": {
        "sunrise/coding-standard": "1.0.0",
        "phpunit/phpunit": "^9.5"
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "scripts": {
        "test": [
            "phpcs",
            "XDEBUG_MODE=coverage phpunit --colors=always --coverage-text"
        ],
        "build": [
            "phpdoc -d src/ -t phpdoc/",
            "XDEBUG_MODE=coverage phpunit --coverage-html coverage/"
        ],
        "serve": [
            "php -S localhost:8000 -t public/"
        ]
    }
}
